Package csb :: Package statistics :: Module scalemixture

[frames] | no frames]

# Module scalemixture

source code

Approximation of a distribution as a mixture of gaussians with a zero mean but different sigmas

Classes
| ARSPosteriorAlpha This class represents the posterior distribution of the alpha parameter of the Gamma and Inverse Gamma prior, and allows sampling using adaptive rejection sampling ARS.
| GammaPosteriorMAP
| GammaPosteriorSampler
| GammaPrior Gamma prior on mixture weights including a weak gamma prior on its parameter.
| GammaScaleMAP MAP estimator of the scales
| GammaScaleSampler Sample the scalies given the data
| InvGammaPosteriorMAP
| InvGammaPosteriorSampler
| InvGammaPrior Inverse Gamma prior on mixture weights including a weak gamma prior on its parameter.
| InvGammaScaleMAP MAP estimator of the scales
| InvGammaScaleSampler Sample the scales given the data
| ScaleMixture Robust probabilistic superposition and comparison of protein structures Martin Mechelke and Michael Habeck
| ScaleMixturePrior Prior on the scales of a ScaleMixture, which determines how the scales are estimated.
| ScaleMixturePriorEstimator Prior on the scales of a ScaleMixture, which determines how the scales are estimated.

Functions

inv_digamma_minus_log(y, tol=1e-10, n_iter=100) Solve y = psi(alpha) - log(alpha) for alpha by fixed point integration. | source code

Variables
| __package__ = ``'``csb.statistics``'``
| kve = `<ufunc 'kve'>`
| psi = `<ufunc 'psi'>`